<?
ini_set('display_errors',0);
include_once("inclydings/sesi.php");
include_once("mysql.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/antixak.php");
include_once("inclydings/ini.php");
$_title = '::LinEagE2::';
include 'inclydings/header.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);
$aden=trim($udata[89]);}
if(empty($go)){$action="index";}
if (isset($user)) {
include_once("inclydings/udata.php");
$gold=stripslashes($gold);
$gold=htmlspecialchars($gold);
$gold=str_replace("\\","",$gold);
$gold=str_replace("/","",$gold);
$gold=str_replace("|","",$gold);
$gold=str_replace("$","",$gold);
$gold=str_replace("&","",$gold);
$gold=str_replace("<","",$gold);
$gold=str_replace(">","",$gold);
$oper=stripslashes($oper);
$oper=htmlspecialchars($oper);
$oper=str_replace("\\","",$oper);
$oper=str_replace("/","",$oper);
$oper=str_replace("|","",$oper);
$oper=str_replace("$","",$oper);
$oper=str_replace("&","",$oper);
$oper=str_replace("<","",$oper);
$oper=str_replace(">","",$oper);
$time=time();
$oldtime=time()+86400;
if($action=="index"){
echo "<b>Ферме</b><br/>Привет фермерам!<br/>Вы хотите посадить свой урожай?<br/>
Я с радостью освобожу вам глядку,для ваших Всходов.<br/><br/>";
echo'У вас : <img src="pik4erspic/mini/vs.gif" alt="pic"/> <font color=gold>'.number_format($udata[89]).'</font><br/>';
$data = file("L2dbnam/esql2db/sajancu.dat");
$all_bank=count($data);
for ($p=0; $p<$all_bank; $p++) {
$dat_arr = explode("|", $data[$p]);
$summ +=$dat_arr[2]; //общая сумма
}
$lines=file("L2dbnam/esql2db/sajancu.dat");
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$linn=$b; $usersum=$dt[2]; $userdata=$dt[3];}}
if($usersum==""){echo'Садить можно минимум 10 <img src="pik4erspic/mini/vs.gif" alt="pic"/><br/>'; $usersum="0";}
echo 'У вас на грядке '.number_format($usersum).' <img src="pik4erspic/mini/vs.gif" alt="pic"/>';
$lasttime=round(($userdata-$time)/3600);
if($userdata>=$time){
echo '<br/>До всхода вашего урожая <img src="pik4erspic/mini/vs.gif" alt="pic"/></b> осталось '.$lasttime.' часов.';
}else{if($usersum>0){echo'<br/><b>Урожай успешно собран!</b>';}}
if($userdata!=="" && $time>=$userdata && $usersum>0){
$stavka=12;
if($usersum>=50000){$stavka=6;}
if($usersum>=100000){$stavka=3;}
if($usersum>=500000){$stavka=2;}
if($usersum>=1000000){$stavka=1;}
$newgold3=round((($usersum*$stavka)/100)+$usersum);
$text="|$log|$newgold3|$oldtime";
$text=stripslashes($text);
$file=file("L2dbnam/esql2db/sajancu.dat");
$fp=fopen("L2dbnam/esql2db/sajancu.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($linn!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);}
echo '<form action="pole.php?go=go&'.$sd.'" method="post">';
echo '<br/><br/><b>Грядка:</b>';
echo '<br/><input name="gold"/><br/>';
echo '<select name="oper">';
echo '<option value="1">Взять с грядки</option><option value="2">Посадить</option>';
echo '</select><br/><br/>';
echo '<input type="submit" value="Ок"/></form>';
echo "<br/>";
echo'<br/>Всего Фермеров: '.number_format($all_bank).'';
echo'<br/>На поле: '.number_format($summ).' <img src="pik4erspic/mini/vs.gif" alt="pic"/>';
}
if($go=="go"){
if($udata[89]=="Пусто"){echo'У вас нету <img src="pik4erspic/mini/vs.gif" alt="pic"/><br/>';include_once"inclydings/down.php"; exit;}
if(ctype_digit($gold) && $gold>=10 && $oper!==""){
//if($oper=="0"){echo'Продление счета<br/>';}
if($oper=="1"){echo'';
$lines=file("L2dbnam/esql2db/sajancu.dat");
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$lintus=$b; $goldus=$dt[2];}}
if($goldus!=="" && $goldus>"0"){
$min10gold=$goldus-10;
if($gold<$min10gold){
$newgold4=$udata[89]+$gold;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$newgold4.':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$newgold4.':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$newgold5=$goldus-$gold;
$text="|$log|$newgold5|$oldtime";
$text=stripslashes($text);
$file=file("L2dbnam/esql2db/sajancu.dat");
$fp=fopen("L2dbnam/esql2db/sajancu.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($lintus!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
echo'<img src="pik4erspic/mini/vs.gif" alt="pic"/> Урожай успешно собран!<br/>';
}else{echo'Вы неможете забрать все <img src="pik4erspic/mini/vs.gif" alt="pic"/>,вы должны оставить Фермеру 15 <img src="pik4erspic/mini/vs.gif" alt="pic"/>';}//if($gold<$min10gold)
}else{echo'Вы неможете забрать <img src="pik4erspic/mini/vs.gif" alt="pic"/>, у вас нету! <img src="pik4erspic/mini/vs.gif" alt="pic"/>';} //if($goldus!=="" && $goldus>"0")
}
if($oper=="2"){echo'';
if($gold<=$udata[89]){
$newgold=$aden-$gold;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$newgold.':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$newgold.':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$nook="yes";
$lines=file("L2dbnam/esql2db/sajancu.dat");
$count=count($lines);
for ($b=0; $b<$count; $b++) {
$dt=explode("|",$lines[$b]); if ($dt[1]==$log) {$ok=$b; $mann=$dt[2]; $nook="no";}}
$newgold2=$mann+$gold;
$text="|$log|$newgold2|$oldtime";
$text=stripslashes($text);
if($nook=="no"){
$file=file("L2dbnam/esql2db/sajancu.dat");
$fp=fopen("L2dbnam/esql2db/sajancu.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($ok!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$text\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);}
if($nook=="yes"){
$fp=fopen("L2dbnam/esql2db/sajancu.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);}
echo'Вы успешно посадили <b>'.$gold.'</b> <img src="pik4erspic/mini/vs.gif" alt="pic"/> в вашу грядку<br/>';
echo'У вас осталось: '.$newgold.' <img src="pik4erspic/mini/vs.gif" alt="pic"/><br/>';
echo'Полученный всход вашего урожая произойдет через 12 часов!<br/>';
}else{echo'У вас нету такого колличества <img src="pik4erspic/mini/vs.gif" alt="pic"/><br/>';}
} //if($oper=="2")
}else{echo'Вы неможете забрать 10 <img src="pik4erspic/mini/vs.gif" alt="pic"/>они достались Фермеру<br/>';}
echo"<br/><a href=\"pole.php?$sd\">Назад</a>";
}
include_once"inclydings/who.php";
include_once"inclydings/online.php";
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include_once("inclydings/down.php");
?>